#
# spec file for package libbullet
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libbullet
%define lname   libbullet2_82
%define rev     2704
Version:        2.82
Release:        6.2
Summary:        Bullet Continuous Collision Detection and Physics Library
License:        Zlib
Group:          Development/Libraries/C and C++
Url:            http://bulletphysics.org/
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
Source:         bullet-%{version}-r%{rev}.tar.xz
# NOTICE Please purge Extras and Glut dirs from a vanilla tarball:
# https://bullet.googlecode.com/files/bullet-{version}-r{rev}.tgz
# See more at https://bugzilla.novell.com/show_bug.cgi?id=889897
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bullet is a Collision Detection and Rigid Body Dynamics Library. The
Library is Open Source and free for commercial use, under the ZLib
license. This means you can use it in commercial games, even on
next-generation consoles like Sony Playstation 3.

%package -n %lname
Summary:        Bullet Continuous Collision Detection and Physics Library
Group:          System/Libraries
Obsoletes:      libbullet < %{version}-%{release}
Provides:       libbullet = %{version}-%{release}

%description -n %lname
Bullet is a Collision Detection and Rigid Body Dynamics Library. The
Library is Open Source and free for commercial use, under the ZLib
license. This means you can use it in commercial games, even on
next-generation consoles like Sony Playstation 3.

%package devel
Summary:        Development package for bullet library
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
This package contain all that is needed to developer or compile
appliancation with the Bullet library.

%prep
%setup -q -n bullet-%{version}-r%{rev}

%build
LIB_DIR=%{_lib}
cmake . -DMAKE_SKIP_RPATH=ON \
 -DBUILD_SHARED_LIBS=ON \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
 -DLIB_SUFFIX=${LIB_DIR#lib} \
 -DBUILD_EXTRAS=OFF \
 -DBUILD_DEMOS=OFF

make VERBOSE=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%fdupes %{buildroot}/%{_includedir}

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_libdir}/libB*.so.*
%{_libdir}/libLinearMath*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/bullet/
%{_libdir}/pkgconfig/bullet.pc
%{_libdir}/libB*.so
%{_libdir}/libLinearMath*.so
%dir %{_libdir}/cmake
%{_libdir}/cmake/bullet

%changelog
* Fri Aug  1 2014 dap.darkness@gmail.com
- Resolved bnc#889897:
  * deleted Extras and Glut dirs.
* Sat Jul 19 2014 dap.darkness@gmail.com
- switched back to source archive to submit to Factory: http://
  lists.opensuse.org/archive/opensuse-factory/2014-07/msg00173.html
* Mon Feb 10 2014 dap.darkness@gmail.com
- updated to 2.82:
  * Featherstone Articulated btMultiBody, with two-way interaction
    with regular btRigidBody. See Bullet/Demos/
    /FeatherstoneMultiBodyDemo. Thanks to Stephen Thompson for the
    initial Featherstone implementation, and Martin Felis and Jakub
    Stepien for the discussion and information.
  * New MLCP constraint solver interface for higher quality direct
    solvers. Dantzig (by Russel Smith OpenDE), PATH and Projected
    Gauss Seidel Mixed Linear Complementarity solvers, with
    fallback to the original Bullet sequential impulse solver. In a
    nutshell, direct MLCP solvers are useful when higher quality
    simulation is needed, for example in robotics. The performance
    is less than the PGS/SI solver, but it usually convergence
    faster to a good solution. See src/BulletDynamics/MLCPSolvers
    and Bullet/Demos/ForkLiftDemo for an example.
  * New btFixedConstraint as alternative to a
    btGeneric6DofConstraint with all DOFs locked.
    See Demos/VoronoiFractureDemo
  * Various bug fixes, related to force feedback and friction.
    Improved performance between btCompoundShape using the new
    btCompoundCompoundCollisionAlgorithm. See the commit log at
    https://code.google.com/p/bullet/source/list
- switched to download_files service.
- "E: no-pkg-config-provides" was fixed via pkgconfig required.
- "W: files-duplicate" was fixed via fdupes macro.
* Sat Aug 24 2013 prusnak@opensuse.org
- updated to 2.81
* Fri Jun 29 2012 jengelh@inai.de
- Stick to shared library naming guidelines
- Replace undefined macro on SLE11 to make install work again
* Thu Jun 28 2012 sleep_walker@suse.cz
- update spec file to 2.80
* Thu Jun 28 2012 tcech@suse.com
- update tarball check to 2.80
* Thu Jun 28 2012 tcech@suse.com
- update tarball to 2.80
* Wed Nov 23 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
- Employ shlib policy
* Tue Nov 22 2011 jreidinger@suse.com
- initial revision 2.79
